Jump to content
Steve Maughan

Component Compatibility 10.3.2 vs. 10.3.1?

Recommended Posts

Is the new release (10.3.2) component compatible with 10.3.1?

 

I'm seeing some component vendors (e.g. DevExpress) say their latest release supports 10.3 (i.e. no mention of the ".1" or ".2"). This implies it will install components into 10.3.1 and 10.3.2. even thought this version of their components was released before 10.3.2

 

Can anyone confirm?

 

Thanks - Steve

Share this post


Link to post

For Devexpress it will work..... 

But if you want to go sure just use their installer and recompile

Share this post


Link to post
Posted (edited)

@Daniel

I already made such proposal of a "CanIUse" page for Delphi and the most important 3rd party components.
Maybe thats worth to think about, and to add in DelphiPraxis ?

I would vote for this :classic_wink:

Edited by Rollo62

Share this post


Link to post
Posted (edited)
15 hours ago, Steve Maughan said:

Is the new release (10.3.2) component compatible with 10.3.1?

 

I'm seeing some component vendors (e.g. DevExpress) say their latest release supports 10.3 (i.e. no mention of the ".1" or ".2"). This implies it will install components into 10.3.1 and 10.3.2. even thought this version of their components was released before 10.3.2

 

Can anyone confirm?

 

Thanks - Steve

Generally the minor releases of Delphi (e.g. 10.3.1 10.3.2) are binary compatible, which means there are no changes to the interface part of run-time library or frame work units, so dcus and packages build for one release can be used with other. The same applies to the open tools API, so components you bought for 10.3.1 should work in 10.3.2, even if you cannot recompile them since you don't have the source. This only applies if said components play by the rules, of course. If they rely on undocumented features or dig around in the IDE's innards all bets are off.

Edited by PeterBelow
  • Thanks 1

Share this post


Link to post

There is a known package incompatibility with 10.3.2 which affects design time packages and IDE experts. I have been told that a hotfix will be available soon.

  • Thanks 1

Share this post


Link to post

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×